/*
Copyright goes here.
Based on http://doc.trolltech.com/solutions/qtservice/qtservice-example-server.html
*/

#ifndef HTTPSERVER_H
#define HTTPSERVER_H

#include <qserversocket.h>
#include <qhttp.h>

class SyncMLSession;
class SMLSessionHandler;
class QTextStream;

/**
 * @short A simple mono-client http syncML server.
 * The server does not support multiple concurent clients
 * and will probably never do. It is intented to be used
 * with a workstation application and not a groupware server.<br/>
 * For the moment, the server does not accept the disconnection
 * during the http session. But, this is a bug.
 * @author Maciek Borowka <maciek@borowka.net>
 */
class MLHttpServer: public QServerSocket
{
Q_OBJECT
public:
	MLHttpServer( QObject* parent=0 );
	virtual ~MLHttpServer();
public slots:
	void newConnection( int socket );
	//returns true if all ok.
	bool initialize();

//XXX FIXME: hack. the design is an ABSOLUTE MESS. these should be private.
public slots:
	void readClient();
	void discardClient();
	
	//at the end will fire "clientDisconnected" signal
	void disconnectClient();
	
	void sendData(QByteArray &);
	
	
signals:
	void newSession(SMLSessionHandler *);
	
	void newData(QByteArray &);
	
	void clientDisconnected();
	
private:
	enum {IDLE, RECEIVING_HEADER, RECEIVING_DATA} status;
	QString headerStr;
	QHttpRequestHeader header;
	SyncMLSession *mlSession;
	//XXX TODO implement a concurent mode perhaps...
	QSocket * currentConnection;
	
	QTextStream *debugStream;	
	QByteArray recvBuffer;
	unsigned long bufferSize;
	unsigned long bufferReceived;
	
private slots:
	void disconnected();

};


#endif
