/*
    This file is part of KitchenSync.

    Copyright (c) 2003 Cornelius Schumacher <schumacher@kde.org>
    Copyright (c) 2004 Maciek Borowka <maciek@borowka.net>
    
    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library; see the file COPYING.LIB.  If not, write to
    the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
    Boston, MA 02111-1307, USA.
*/

#include "mlkonnectorconfig.h"

#include "mlkonnector.h"

#include <kconfig.h>
#include <klocale.h>

#include <qlabel.h>
#include <qlayout.h>
#include <qpushbutton.h>

using namespace KSync;

MLKonnectorConfig::MLKonnectorConfig( QWidget *parent )
  : KRES::ConfigWidget( parent, 0 )
{
	QBoxLayout *topLayout = new QVBoxLayout( this );

	topLayout->addWidget( new QLabel( i18n("Nothing to configure yet!"), this ) );
	topLayout->addWidget( new QLabel( i18n("(only http server supported)"), this ) );
	topLayout->addWidget( new QLabel( i18n("(the port is 8080)"), this ) );
	topLayout->addWidget( new QLabel( i18n("(no auth supported)"), this ) );
}

MLKonnectorConfig::~MLKonnectorConfig()
{
}

void MLKonnectorConfig::loadSettings( KRES::Resource *r )
{
	MLKonnector *konnector = dynamic_cast<MLKonnector *>( r );
	if ( konnector ) 
	{
	}
}

void MLKonnectorConfig::saveSettings( KRES::Resource *r )
{
	MLKonnector *konnector = dynamic_cast<MLKonnector *>( r );
	if ( konnector ) 
	{
	}
}

#include "mlkonnectorconfig.moc"
